# Uses of Class
org.apache.lucene.search.KnnFloatVectorQuery

Packages that use KnnFloatVectorQuery
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of KnnFloatVectorQuery in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type KnnFloatVectorQuery
  Modifier and Type
  Method
  Description
  `static PatienceKnnVectorQuery`
  PatienceKnnVectorQuery.`fromFloatQuery(KnnFloatVectorQuery knnQuery)`
  Construct a new PatienceKnnVectorQuery instance for a float vector field
  `static PatienceKnnVectorQuery`
  PatienceKnnVectorQuery.`fromFloatQuery(KnnFloatVectorQuery knnQuery, double saturationThreshold, int patience)`
  Construct a new PatienceKnnVectorQuery instance for a float vector field
  `static SeededKnnVectorQuery`
  SeededKnnVectorQuery.`fromFloatQuery(KnnFloatVectorQuery knnQuery, Query seed)`
  Construct a new SeededKnnVectorQuery instance for a float vector field
  Constructors in org.apache.lucene.search with parameters of type KnnFloatVectorQuery
  Modifier
  Constructor
  Description
  ``
  `PatienceKnnVectorQuery(KnnFloatVectorQuery knnQuery, double saturationThreshold, int patience)`
  ``
  `SeededKnnVectorQuery(KnnFloatVectorQuery knnQuery, Query seed, Weight seedWeight)`